from typing import Optional

from pydantic import BaseModel


class StudentModel(BaseModel):
    name: str
    tribe_name: str
    id: Optional[str]


class TribeModel(BaseModel):
    name: str
    level: str
    students: list[StudentModel] | None = []
    assessments: list | None = []
